﻿Imports Infragistics.Windows.DataPresenter
Imports System.Collections.ObjectModel
Imports System.ComponentModel
Imports System.Data
Imports Infragistics.Windows.DataPresenter.Events
Imports System.Windows.Markup
Imports System.Threading

Public Class MockGrid
    Inherits XamDataGrid

    Private Sub MockGrid_Initialized(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Initialized
        Me.Language = XmlLanguage.GetLanguage(Thread.CurrentThread.CurrentCulture.Name)
        Me.Theme = "Office2k7Black"
        Me.AutoFit = True

        Me.GroupByAreaLocation = GroupByAreaLocation.None
        Me.FieldLayoutSettings.AllowFieldMoving = AllowFieldMoving.Yes
        Me.FieldLayoutSettings.AutoArrangeCells = AutoArrangeCells.Never

        Me.FieldLayoutSettings.RecordSelectorLocation = RecordSelectorLocation.None
        Me.FieldLayoutSettings.SelectionTypeCell = Infragistics.Windows.Controls.SelectionType.Single
        Me.FieldLayoutSettings.SelectionTypeField = Infragistics.Windows.Controls.SelectionType.None
        Me.FieldLayoutSettings.SelectionTypeRecord = Infragistics.Windows.Controls.SelectionType.Single

        Me.FieldLayoutSettings.FilterUIType = FilterUIType.LabelIcons
        Me.FieldSettings.AllowRecordFiltering = True

        Me.FieldSettings.CellClickAction = CellClickAction.SelectRecord
        Me.FieldSettings.AllowEdit = False
        Me.FieldSettings.LabelClickAction = LabelClickAction.SortByMultipleFields

        Me.FieldLayoutSettings.AutoGenerateFields = True
        'Me.SetupFieldLayout()

        Dim a As New Animals
        Me.DataSource = a
    End Sub

    Private Sub SetupFieldLayout()
        Dim layout As New FieldLayout

        Dim field As New UnboundField
        With field
            .Label = "Animal"

            .BindingMode = BindingMode.OneWay
            .BindingPath = New PropertyPath("Name")
        End With
        layout.Fields.Add(field)

        Me.FieldLayouts.Add(layout)
    End Sub




    Public Class Animals
        Inherits ObservableCollection(Of Animal)

        Public Sub New()
            Me.Items.Add(New Animal("Cat"))
            Me.Items.Add(New Animal("Mouse"))
            Me.Items.Add(New Animal("Dog"))
            Me.Items.Add(New Animal("Snake"))
        End Sub
    End Class

    Public Class Animal
        Private _name As String

        Public Property Name() As String
            Get
                Return Me._name
            End Get
            Set(ByVal value As String)
                Me._name = value
            End Set
        End Property

        Public Sub New(ByVal name As String)
            Me.Name = name
        End Sub
    End Class
End Class
